package com.sample;

import org.apache.log4j.Level;
import org.drools.SystemEventListener;

public class DroolsSystemEventLogger implements SystemEventListener {

	public DroolsSystemEventLogger() {
		super();
	}

	@Override
	public void info(String message) {
		System.out.println(message);
	}

	@Override
	public void info(String message, Object object) {
		System.out.println(message);
	}

	@Override
	public void warning(String message) {
		System.out.println(message);
	}

	@Override
	public void warning(String message, Object object) {
		System.out.println(message);
	}

	@Override
	public void exception(String message, Throwable e) {
		System.out.println(message);
	}

	@Override
	public void exception(Throwable e) {
		System.out.println(e.getMessage());
	}

	@Override
	public void debug(String message) {
		System.out.println(message);
	}

	@Override
	public void debug(String message, Object object) {
		System.out.println(message);
	}


}
